[PATCH 2/2] fortify: Cleanup temp file also on non-successful exit

From: Nicolas Schier

Date: Fri Nov 28 2025 - 14:28:04 EST


From: Nicolas Schier <nicolas.schier@xxxxxxxxx>

Ensure cleanup of test_fortify.sh's temporary file also on script
interruption, or some common signals.

Reported-by: WangYuli <wangyuli@xxxxxxx>
Closes: https://lore.kernel.org/linux-kbuild/20251112114725.287349-1-wangyuli@xxxxxxx/
Signed-off-by: Nicolas Schier <n.schier@xxxxxx>
---
lib/test_fortify/test_fortify.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/test_fortify/test_fortify.sh b/lib/test_fortify/test_fortify.sh
index 368d07d9acbf..ad6dd44fa31c 100644
--- a/lib/test_fortify/test_fortify.sh
+++ b/lib/test_fortify/test_fortify.sh
@@ -29,7 +29,7 @@ shift
__cleanup() {
rm -f "$TMP"
}
-trap __cleanup EXIT
+trap __cleanup EXIT HUP INT QUIT TERM

# Function names in warnings are wrapped in backticks under UTF-8 locales.
# Run the commands with LANG=C so that grep output will not change.

--
2.51.0